### 2.6 Build Options

Available options for the 'configure' script include:

- `--with-appli-perso="..."`: application personalities to build

  Available personalities: AWS, CORBA, DSA, MOMA

  e.g. `--with-appli-perso="corba moma"` to build both the CORBA and MOMA personalities

- `--with-proto-perso="..."`: protocol personalities to build

  Available personalities: GIOP, SOAP

  e.g. `--with-proto-perso="giop soap"` to build both the GIOP and SOAP personalities

- `--with-idl-compiler="..."`: select IDL compiler

  Available IDL compilers: iac (default), idlac

  e.g. `--with-idl-compiler=''iac''` to build iac

- `--with-corba-services="..."`: CORBA COS services to build

  Available services: event, ir, naming, notification, time

  e.g. `--with-corba-services="event naming"` to build only COS Event and COS Naming.

By default, only the CORBA and GIOP personalities are built, and no CORBA Services are built.

- `--with-openssl`: build SSL support and SSL dependent features, including the IIOP/SSLIOP personality
- `--help`: list all options available
- `--enable-shared`: build shared libraries.
- `--enable-debug`: enable debugging information generation and supplementary runtime checks. Note that this option has a significant space and time cost, and is not recommended for production use.